clang 10.0.0git

Public Attributes | List of all members
CXIdxIncludedFileInfo Struct Reference
libclang: C Interface to Clang » Higher level API functions

Data for ppIncludedFile callback. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXIdxIncludedFileInfo:
[legend]

## Public Attributes
CXIdxLoc | hashLoc
| Location of '#' in the #include/#import directive. More...
const char * | filename
| Filename as written in the #include/#import directive. More...
CXFile | file
| The actual file that the #include/#import directive resolved to. More...
int | isImport
int | isAngled
int | isModuleImport
| Non-zero if the directive was automatically turned into a module import. More...

## Detailed Description

Data for ppIncludedFile callback.

Definition at line 6179 of file Index.h.

## Member Data Documentation

## ◆ file

CXFile CXIdxIncludedFileInfo::file

The actual file that the #include/#import directive resolved to.

Definition at line 6191 of file Index.h.

## ◆ filename

const char* CXIdxIncludedFileInfo::filename

Filename as written in the #include/#import directive.

Definition at line 6187 of file Index.h.

## ◆ hashLoc

CXIdxLoc CXIdxIncludedFileInfo::hashLoc

Location of '#' in the #include/#import directive.

Definition at line 6183 of file Index.h.

## ◆ isAngled

int CXIdxIncludedFileInfo::isAngled

Definition at line 6193 of file Index.h.

## ◆ isImport

int CXIdxIncludedFileInfo::isImport

Definition at line 6192 of file Index.h.

## ◆ isModuleImport

int CXIdxIncludedFileInfo::isModuleImport

Non-zero if the directive was automatically turned into a module import.

Definition at line 6198 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h